aboutsummaryrefslogtreecommitdiff
path: root/media/video/lives/lives.SlackBuild
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:24:12 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:24:12 +0000
commit8bbb46776a6ba3ff0a9e130c22b7ec3a6504c3ed (patch)
treef45c5aa0bc3074890b8aae3a1e9efcffcea168ff /media/video/lives/lives.SlackBuild
parentee8d475e0c0924ab8964db16470294d92a9ead50 (diff)
downloadslackbuilds-8bbb46776a6ba3ff0a9e130c22b7ec3a6504c3ed.tar.gz
slackbuilds-8bbb46776a6ba3ff0a9e130c22b7ec3a6504c3ed.tar.bz2
movendo...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@680 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'media/video/lives/lives.SlackBuild')
-rwxr-xr-xmedia/video/lives/lives.SlackBuild109
1 files changed, 109 insertions, 0 deletions
diff --git a/media/video/lives/lives.SlackBuild b/media/video/lives/lives.SlackBuild
new file mode 100755
index 00000000..ffb87ac8
--- /dev/null
+++ b/media/video/lives/lives.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/bash
+#
+# slackbuild script for lives
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="lives"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.9.7}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+
+WORK_NAME="LiVES"
+WORK_VERSION="`echo $VERSION | sed -e 's/pre/-pre/'`"
+SRC="$WORK_NAME-$WORK_VERSION.tar.$PACKAGE_EXT"
+URL="http://www.xs4all.nl/%7Esalsaman/lives/current/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$WORK_VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+lives: lives (A video editing system and VJ tool)
+lives:
+lives: LiVES is a simple to use yet powerful video effects, editing,
+lives: conversion, and playback system aimed at the digital video artist
+lives: and VJ. It uses commonly available tools (Mplayer, ImageMagick,
+lives: and GTK+), so it should work on most Unix-like systems. It runs
+lives: under Linux, BSD, IRIX, and openMosix (and soon OS X/Darwin).
+lives: It works with almost all types of video, and is fully extendable
+lives: through plugins and the included plugin builder tool.
+lives:
+lives:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in ABOUT-NLS AUTHORS BUGS CHANGELOG COPYING ChangeLog FEATURES GETTING.STARTED INSTALL NEWS OMC README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+